One post's daily gains over the range, zeros filled
GET
/api/public/v1/content/post_seriesLiveAnswers from your brand's records now.
Operation id getContentPostSeries
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/content/post_series" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| campaign_ids | query | string | |
| social_post_id | query | string | |
| user_content_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.points | array of object | |
| data.points[].[].comments | integer | |
| data.points[].[].date | string (date) | |
| data.points[].[].likes | integer | |
| data.points[].[].saves | integer | |
| data.points[].[].shares | integer | |
| data.points[].[].views | integer | |
| data.social_post_id | string | |
| meta | object | |
| meta.campaign_ids | array of integer | |
| meta.organization_id | integer | |
| meta.platform | string, nullable | |
| meta.scope | string | One of familybrandcampaign |
| success | boolean |
Example
{
"data": {
"points": [
{
"comments": 3,
"date": "2026-11-01",
"likes": 3,
"saves": 3,
"shares": 3,
"views": 3
}
],
"social_post_id": "string"
},
"meta": {
"campaign_ids": [
3
],
"organization_id": 1024,
"platform": "string",
"scope": "family"
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.